5 Replies Latest reply on Dec 23, 2009 6:52 AM by rcambrid

    Macintosh Agent 4.0 Patch 2

    sthayden

      Ok, pretty straight forward question, does this patch support McAfee Security for Mac v9.0? Agent 4.0 Patch 1 DOES support it, so why would patch 2 not support it? Was this omitted mistakenly from the Release Notes if it does in fact support it?

        • 1. Re: Macintosh Agent 4.0 Patch 2
          rcambrid

          Hiya,

           

          As you point out, VirusScan for Mac 9 (also known as Security for Mac) is not listed as supported by McAfee Agent 4.0 Patch 2 - however, as with previous versions this should work.

           

          I'm pretty sure this is a documentation error on our part, however I've put a request in to get some clarification on this point and will update this thread for you when I get some feedback.

           

          Be aware, though, that there are no plans to support Mac OS 10.6 (Snow Leopard) in McAfee Agent 4.0 - so if you plan on moving to this version any time soon, you'd need to look at moving to McAfee Agent 4.5.

           

          While the original release of VirusScan for Mac 9 (build 644 - posted at the end of August, 2009) did not provide support for McAfee Agent 4.5, the reposted version (build 676 posted on October 5th, 2009) does support MA 4.5.

           

          HTH,

           

          Rod.

          • 2. Re: Macintosh Agent 4.0 Patch 2
            sthayden

            Ok, now the whole reason I asked this is because I am having problems on a couple of Leopard machines, the OS version is 10.5.8.8. After upgrading the agent to 4.0 P2, it killed my McAfee install, anytime I tried to pull up the console I would get a error that say "The McAfee Security failed to launch. Error: 1" , but it still properly reports back to EPO as having everything installed and updated, I can also access the agent via web browser and see it on the agent communication port just like normal.

             

            I called up Gold Support and they told me that this product is not supported for this version of Mac AV and that I would need to go to the McAfee Agent 4.5. I was not aware about the reposted version of McAfee Security for Mac, so thank you for that, it is now updated in my repository. The thing is, I have a Leopard 10.5.7.7 machine that actually works after the upgrade to 4.0 patch 2.

             

            What it comes down to, I am being told that I need to upgrade to Agent 4.5 if I want to run McAfee Security for Mac. Because of this fiasco, I am in the process of upgrading to Agent 4.5 for Mac and the newer McAfee Security for Mac that you mentioned here. But from what it looks like, there is a breakdown in communication somewhere and there seems to be a problem with that patch release. You may want to have it tested again 10.5.8.8 in house vs other lower versions to make sure it properly is working because if there is an issue, it's gonna end up causing a lot of headaches on both ends.

            • 3. Re: Macintosh Agent 4.0 Patch 2
              rcambrid

              OK - I'll feed this back to dev. In the meantime, my Mac at home has 10.5.8 (9L31a) installed - so I'll test this over the weekend to see if I can force the error that you've seen when launching the product.

               

              Thanks for the detailed info,

               

              Rod.

              • 4. Re: Macintosh Agent 4.0 Patch 2
                rcambrid

                Update:

                 

                After a bit of digging, it seems that the VirusScan for Mac October repost addressed compatibility issues with McAfee Agent 4.0, Patch 2. Essentially, if you are using MA 4.0, Patch 2, you'll need to be running the reposted version of VirusScan for Mac 9.

                 

                I will create a KB article based on this and post the KB ID to this thread for your reference.

                 

                BTW - I was unable to replicate the issue over the weekend as I only had the reposted version on my Mac - so even though I put MA 4.0 P2 in place, VirusScan launched as expected without generating the error.

                 

                Cheers,

                 

                Rod.

                • 5. Re: Macintosh Agent 4.0 Patch 2
                  rcambrid

                  Quick update:

                   

                  The following KnowledgeBase articles have been created which mention this issue:

                   

                  KB67848 - ERROR: McAfee Security failed to launch. Error: 1 (McAfee Agent 4.0 Patch 2 is installed)

                  KB67731 - VirusScan for Mac 9.0 repost (build 676)

                   

                  Cheers,

                   

                  Rod.